Subject: Re: [ipcdn] CMTS Multicast Mibs

From: Stuart Green <[email-masked]>
Date: Fri, 01 Sep 2000 11:35:17 -0400

Anna,
  These are good suggestions which we should incorporate
in a future release of the MIB.  

Stuart

Anna Ziper wrote:
> 
> I have a few suggestions on multicast issue:
> 
> a. Multicast groups sets and subsets
> 
>  BPI+ Mibs defines docsBpi2CmtsIpMulticastMapTable.
>  Lets consider two possible entries in this table.
> 
> 1. IP Multicast Address 10.24.0d.3e                    prefix - 16
> 2. IP Multicast Address 10.24.d4.6f                     prefix - 16
> 
>  Both entries match the same set of Ip multicast addresses.
>  So if both of them exist in the table two appropriate SAIDs can match
> for one multicast group.
>  I suggest to restrict this situation. It can be done by rejection of
> collision entries inserting.
>  I.e. it is illegal to create new entry in the table that can match or
> be subset
>  of existing set of multicast groups. It is illegal also to create new
> entry for which the existing one can be subset.
> 
>  I prefer to change BPI+ MIBs for table docsBpi2CmtsIpMulticastMapTable:
> 
> from:
> "Each entry contains objects describing the mapping of
>  one multicast IP address and prefix to one SAID, as well as
>  associated message counters and error information.
>         Note: For dynamic multicast IP addresses, create access
>  does not apply."
> 
> to:
> "Each entry contains objects describing the mapping of
>  a set of multicast IP addresses and prefix and all its subsets to one
> SAID, as well as
>  associated message counters and error information.
>         Note: For dynamic multicast IP addresses, create access
>  does not apply."
> 
> b. Multicast SAIDs
> 
> I suggest to split between Multicast Saids (both dynamic and static) and
> Unicast Saids.
> 
> By definition, Primary Saids equal to primary Sids.
> This statement automatically defines range for unicast Sids from 1 to
> 8K.
> Lets consider situation when a multicast group is defined with the same
> Said as
> primary Said of some cable modem. It looks at least unsafe.
> 
> If we range multicast Saids from 16K to 8K,
> it decreases the common number of Saids, but clarifies the issue.
> 
> This change can be done by changing BPI+ Mibs for
> docsBpi2CmtsIpMulticastMapTable:
> 
> from:
> docsBpi2CmtsIpMulticastSAId  OBJECT-TYPE
>  SYNTAX  Integer32 (1..16383)
>  MAX-ACCESS read-create
>  STATUS  current
>  DESCRIPTION
>   "This object represents the multicast SAID to be
>  used in this IP multicast address mapping entry."
>  ::= { docsBpi2CmtsIpMulticastMapEntry 3 }
> 
> to:
> docsBpi2CmtsIpMulticastSAId  OBJECT-TYPE
>  SYNTAX  Integer32 (8193..16383)
> 
> Thanks, Anna
> 
> _______________________________________________
> IPCDN mailing list
> [email-masked]
> http://www1.ietf.org/mailman/listinfo/ipcdn

-- 
Stuart M Green
Nortel Networks Corporation - Arris Venture
6 Riverside Drive, Andover, MA 01810, USA  (978) 946-4664

_______________________________________________
IPCDN mailing list
[email-masked]
http://www1.ietf.org/mailman/listinfo/ipcdn